"use strict";
this.name			= "ACSA-Uninstaller Conditions Script";
this.author			= "ocz";
this.copyright		= "2015 ocz";
this.licence		= "CC BY-NC-SA 4.0";

/*
If any ACSA has been installer (EQ_CARGOSPACEADJUST_1, EQ_CARGOSPACEADJUST_2, ...),
this script checks, if there is enough cargo space left to remove it safely. For
exsample imagine a Cobra MK. III with 20t of cargo space. Than outfit it with ACSA
(OvErKIll), so it gains additional 3t. Now buy 3 Passenger Berths (-15t) and an 
equipment taking another 8t. 23t minus 23t leave us with 0t left (max_cargo = 0).
If we now would remove the ASTA it should leave us with -3t, but the Oolite game
engine doesn't allow this. The value stays at 0. When we than sell the berths and
the other equipment (the 8t one), the Cobra has (0t + 23t = 23t) 23t left instead
of the normal 20t and the game state is broken.
*/


this.allowAwardEquipment = function(eqKey, ship, context)
{
	if (context === "purchase") {  //It's all only about purchases.
		if (eqKey ===  "EQ_CARGOSPACEADJUST_REMOVE") { //"EQ_CARGOSPACEADJUST_REMOVE" is the >eqKey<. 
			if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_1") === "EQUIPMENT_OK" && player.ship.cargoSpaceAvailable < 1) { //Is "EQ_CARGOSPACEADJUST_1" installed, but less than 1 cargo space left?
				return false;	//Condition one line above is true? In this case, this is no good and the >eqKey< "EQ_CARGOSPACEADJUST_REMOVE" is not available for sell.
			}
			else if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_2") === "EQUIPMENT_OK" && player.ship.cargoSpaceAvailable < 2) { //Like above, but with "EQ_CARGOSPACEADJUST_2" and less than 2.
				return false;
			}
			else if (player.ship.equipmentStatus("EQ_CARGOSPACEADJUST_3") === "EQUIPMENT_OK" && player.ship.cargoSpaceAvailable < 3) {
				return false;
			}
		}
		else if (eqKey ===  "EQ_CARGOSPACEADJUST_REMOVE_REFUND1" && player.ship.cargoSpaceAvailable < 1) { //Is the "EQ_CARGOSPACEADJUST_REMOVE_REFUND1" the >eqKey< and less than 1 cargo space left?
			return false;
		}
		else if (eqKey ===  "EQ_CARGOSPACEADJUST_REMOVE_REFUND2" && player.ship.cargoSpaceAvailable < 2) {
			return false;
		}
		else if (eqKey ===  "EQ_CARGOSPACEADJUST_REMOVE_REFUND3" && player.ship.cargoSpaceAvailable < 3) {
			return false;
		}
	}
  return true; // In any other case, it's fine. (All other stuff is available, too.)
}